org.eclipse.swt.accessibility

## Class AccessibleAdapter

- java.lang.Object
- - org.eclipse.swt.accessibility.AccessibleAdapter

All Implemented Interfaces:
  EventListener, AccessibleListener, SWTEventListener

    public abstract class AccessibleAdapter
    extends Object
    implements AccessibleListener

This adapter class provides default implementations for the methods described by the `AccessibleListener` interface.

Classes that wish to deal with `AccessibleEvent`s can extend this class and override only the methods that they are interested in.

Note: Accessibility clients use child identifiers to specify whether they want information about a control or one of its children. Child identifiers are increasing integers beginning with 0. The identifier CHILDID_SELF represents the control itself.

Since:
  2.0
See Also:
  `AccessibleListener`, `AccessibleEvent`, Sample code and further information

### Constructor Summary

Constructors
Constructor and Description
`AccessibleAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getDescription(AccessibleEvent e)` Sent when an accessibility client requests a description of the control, or a description of a child of the control.
`void` `getHelp(AccessibleEvent e)` Sent when an accessibility client requests the help string of the control, or the help string of a child of the control.
`void` `getKeyboardShortcut(AccessibleEvent e)` Sent when an accessibility client requests the keyboard shortcut of the control, or the keyboard shortcut of a child of the control.
`void` `getName(AccessibleEvent e)` Sent when an accessibility client requests the name of the control, or the name of a child of the control.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.accessibility.AccessibleListener

`getDescriptionAdapter, getHelpAdapter, getKeyboardShortcutAdapter, getNameAdapter`

### Constructor Detail

#### AccessibleAdapter

    public AccessibleAdapter()

### Method Detail

#### getName

    public void getName(AccessibleEvent e)

Sent when an accessibility client requests the name of the control, or the name of a child of the control. The default behavior is to do nothing.

Return the name of the control or specified child in the `result` field of the event object. Returning an empty string tells the client that the control or child does not have a name, and returning null tells the client to use the platform name.

Specified by:
  `getName` in interface `AccessibleListener`
Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying the control or one of its children
  - result [OUT] - the requested name string, or null

#### getHelp

    public void getHelp(AccessibleEvent e)

Sent when an accessibility client requests the help string of the control, or the help string of a child of the control. The default behavior is to do nothing.

The information in this property should be similar to the help provided by toolTipText. It describes what the control or child does or how to use it, as opposed to getDescription, which describes appearance.

Return the help string of the control or specified child in the `result` field of the event object. Returning an empty string tells the client that the control or child does not have a help string, and returning null tells the client to use the platform help string.

Specified by:
  `getHelp` in interface `AccessibleListener`
Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying the control or one of its children
  - result [OUT] - the requested help string, or null

#### getKeyboardShortcut

    public void getKeyboardShortcut(AccessibleEvent e)

Sent when an accessibility client requests the keyboard shortcut of the control, or the keyboard shortcut of a child of the control. The default behavior is to do nothing.

A keyboard shortcut can either be a mnemonic, or an accelerator. As a general rule, if the control or child can receive keyboard focus, then you should expose its mnemonic, and if it cannot receive keyboard focus, then you should expose its accelerator.

Return the keyboard shortcut string of the control or specified child in the `result` field of the event object. Returning an empty string tells the client that the control or child does not have a keyboard shortcut string, and returning null tells the client to use the platform keyboard shortcut string.

Specified by:
  `getKeyboardShortcut` in interface `AccessibleListener`
Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying the control or one of its children
  - result [OUT] - the requested keyboard shortcut string (example: "ALT+N"), or null

#### getDescription

    public void getDescription(AccessibleEvent e)

Sent when an accessibility client requests a description of the control, or a description of a child of the control. The default behavior is to do nothing.

This is a textual description of the control or child's visual appearance, which is typically only necessary if it cannot be determined from other properties such as role.

Return the description of the control or specified child in the `result` field of the event object. Returning an empty string tells the client that the control or child does not have a description, and returning null tells the client to use the platform description.

Specified by:
  `getDescription` in interface `AccessibleListener`
Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying the control or one of its children
  - result [OUT] - the requested description string, or null